Skip to main content
PUT
Update credit product

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
productId
string
required

Body

application/json

Update credit payload

name
string

Credit name.

Example:

"Credit name"

low_count_threshold
number | null

Value indicating a low threshold.

Example:

10

auto_topup
object · null · null

Auto top-up options.

Response

200 - application/json

Updated credit

product_id
string
required

Credit product ID.

Example:

"itm_3kXODDF42QXtnL"

customer_id
string
required

Customer ID related to the credit.

Example:

"cus_Typ0px2W0aiEtl"

name
string
required

Credit name.

Example:

"Credit name"

current_balance
number
required

Current credit balance.

Example:

2000

low_count_threshold
number | null
required

Value indicating a low threshold.

Example:

10

last_refreshed_at
string<date-time>
required

Credit last refresh date. UTC date time string in the ISO 8601 format.

Example:

"2025-11-23T09:00:01.860Z"

auto_topup
object | null
required

Auto top-up options.

created_at
string<date-time>
required

Credit creation date. UTC date time string in the ISO 8601 format.

Example:

"2025-10-12T07:00:01.860Z"

updated_at
string<date-time>
required

Credit last edition date. UTC date time string in the ISO 8601 format.

Example:

"2025-10-13T10:00:01.860Z"